<?php
/*********************************************************************************************/
//																							 //
//                              InstantCMS v1.6   (c) 2010 FREEWARE                          //
//	 					  http://www.instantcms.ru/, info@instantcms.ru                      //
//                                                                                           //
// 						    written by Vladimir E. Obukhov, 2007-2010                        //
//                                                                                           //
/*********************************************************************************************/

function mod_best_user_photo($module_id){
        $inCore = cmsCore::getInstance();
        $inDB = cmsDatabase::getInstance();
    	global $_LANG;
		$cfg = $inCore->loadModuleConfig($module_id);
		
		
		if (!isset($cfg['showtype'])) { $cfg['showtype'] = 'full'; }
		if (!isset($cfg['showmore'])) { $cfg['showmore'] = 1; }
		
		$col = 1; $maxcols = $cfg['maxcols'];

		$sql = "SELECT f.*, f.id as fid, f.pubdate as fpubdate, u.login as login, u.nickname as nickname,
					   IFNULL(r.total_rating, 0) as rating
				FROM cms_users u, cms_user_photos f
				LEFT JOIN cms_ratings_total r ON r.item_id=f.id AND r.target = 'userphoto'
				WHERE f.allow_who = 'all' AND f.user_id = u.id
				GROUP BY f.id
				ORDER BY ".$cfg['sort']." DESC
				LIMIT ".$cfg['shownum'];		
 	
		$result = $inDB->query($sql) ;
			
		if ($inDB->num_rows($result)){	
			echo '<table cellspacing="2" border="0" width="100%">';
			while($con = $inDB->fetch_assoc($result)){
				$votes = $con[$cfg['sort']];
				if ($col==1) { echo '<tr>'; } echo '<td align="center" valign="middle" class="mod_lp_photo" width="'.round(100/$maxcols, 0).'%">';
				echo '<table width="100%" height="100" cellspacing="0" cellpadding="0">';
				if ($cfg['showtype']=='full'){
					  echo '<tr><td align="center"><div class="mod_lp_titlelink"><a href="/users/'.$con['user_id'].'/photo'.$con['id'].'.html" title="'.$con['title'].' ('.$con['rating'].')">'.$con['title'].'</a></div></td></tr>';
			  	}
				  echo '<tr>';
				  echo '<td valign="middle" align="center">';
				echo '<a href="/users/'.$con['user_id'].'/photo'.$con['id'].'.html" title="'.$con['title'].'">';
					echo '<img class="photo_thumb_img" src="/images/users/photos/small/'.$con['imageurl'].'" alt="'.$con['title'].' ('.$con['rating'].')" border="0" />';
				echo '</a>';
				echo '</td></tr>';
				if ($cfg['showtype']=='full'){
					echo '<tr>';
					echo '<td align="center">';
                		if($cfg['showautor']){
							echo cmsUser::getProfileLink($con['login'], $con['nickname']);
						}
						if($cfg['showcom'] || $cfg['showdate']){
							echo '<div class="mod_lp_details">';
							echo '<table cellpadding="2" cellspacing="2" align="center" border="0"><tr>';
								if ($cfg['showdate']){
									include_once($_SERVER['DOCUMENT_ROOT'].'/core/lib_karma.php');
									if ($cfg['sort'] == 'rating'){
										echo '<td style="font-weight:bold">'.cmsKarmaFormat($con['rating']).'</td>';
									} else {
										echo '<td>'.$votes.'</td>';
									}
								}
								if ($cfg['showcom']){
									echo '<td><img src="/images/icons/comments.gif" border="0"/></td>';
									echo '<td><a href="/users/'.$con['user_id'].'/photo'.$con['id'].'.html#c">'.$inCore->getCommentsCount('userphoto', $con['id']).'</td>';
								}
							echo '</tr></table>';
							echo '</div>';
						}
					echo '</td>';
					echo '</tr>';
				}
				echo '</table>';
				//echo '</div>';
				echo '</td>'; if ($col==$maxcols) { echo '</tr>'; $col=1; } else { $col++; }
			}			
			if ($col>1) { echo '<td colspan="'.($maxcols-$col+1).'">&nbsp;</td></tr>'; }
			echo '</table>';

		} else { echo '<p>'.$_LANG['BESTCONTENT_NOT_MATERIALS'].'</p>'; }
		
				
		return true;
	
}
?>
